summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Johannes Schoepfer <slackbuilds[at]schoepfer[dot]info>2016-09-15 18:59:49 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-09-15 18:59:49 +0700
commitbb18a2ce113a6e9718e9de300f7f4cdd268fb2aa (patch)
tree36875f7d8cfaf41f03a5256fc865ab5967561fe9 /office
parent1f81d9cfef9bf97189ec56a5ed997496f2665494 (diff)
downloadslackbuilds-bb18a2ce113a6e9718e9de300f7f4cdd268fb2aa.tar.gz
slackbuilds-bb18a2ce113a6e9718e9de300f7f4cdd268fb2aa.tar.xz
office/hunspell-de: Added (German hunspell dictionaries).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/hunspell-de/README1
-rw-r--r--office/hunspell-de/hunspell-de.SlackBuild71
-rw-r--r--office/hunspell-de/hunspell-de.info10
-rw-r--r--office/hunspell-de/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/office/hunspell-de/README b/office/hunspell-de/README
new file mode 100644
index 0000000000..f335bfd916
--- /dev/null
+++ b/office/hunspell-de/README
@@ -0,0 +1 @@
+German hunspell dictionaries.
diff --git a/office/hunspell-de/hunspell-de.SlackBuild b/office/hunspell-de/hunspell-de.SlackBuild
new file mode 100644
index 0000000000..7990c6290f
--- /dev/null
+++ b/office/hunspell-de/hunspell-de.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for hunspell-de
+
+# Copyright 2016 Johannes Schoepfer
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hunspell-de
+VERSION=${VERSION:-20160407}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf igerman98-$VERSION
+tar vxf $CWD/igerman98-$VERSION.tar.bz2
+cd igerman98-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make hunspell/de_DE.aff hunspell/de_DE.dic hunspell/de_AT.aff hunspell/de_AT.dic hunspell/de_CH.aff hunspell/de_CH.dic
+
+pushd hunspell
+install -dm755 $PKG/usr/share/hunspell
+install -m644 de_*.dic de_*.aff $PKG/usr/share/hunspell
+install -dm755 $PKG/usr/share/myspell/dicts
+cd $PKG/usr/share/myspell/dicts
+for file in $PKGDIR/usr/share/hunspell/*; do
+ ln -sv ../../hunspell/$(basename $file) .
+done
+popd
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv Documentation/* $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/hunspell-de/hunspell-de.info b/office/hunspell-de/hunspell-de.info
new file mode 100644
index 0000000000..720f591ae1
--- /dev/null
+++ b/office/hunspell-de/hunspell-de.info
@@ -0,0 +1,10 @@
+PRGNAM="hunspell-de"
+VERSION="20160407"
+HOMEPAGE="https://www.j3e.de/ispell/igerman98/"
+DOWNLOAD="https://www.j3e.de/ispell/igerman98/dict/igerman98-20160407.tar.bz2"
+MD5SUM="5e5ce15bbfd56a6f89e7789e63fffad0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Johannes Schoepfer"
+EMAIL="<slackbuilds[at]schoepfer[dot]info>"
diff --git a/office/hunspell-de/slack-desc b/office/hunspell-de/slack-desc
new file mode 100644
index 0000000000..89bbddfd75
--- /dev/null
+++ b/office/hunspell-de/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hunspell-de: hunspell-de (German hunspell dictionaries)
+hunspell-de:
+hunspell-de: German hunspell dictionaries.
+hunspell-de:
+hunspell-de: https://www.j3e.de/ispell/igerman98/
+hunspell-de:
+hunspell-de:
+hunspell-de:
+hunspell-de:
+hunspell-de:
+hunspell-de: